commit fc6d65867e82009a6e0671771728d41d3423a790
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Wed Dec 13 12:50:40 2017 +0000

    CHUNKING: flush input stream after message-fatal error detection.  Bug 2201
    
    Cherry-picked from: d21bf202db

diff --git a/src/src/receive.c b/src/src/receive.c
index 2812ea2c..ad9b6a23 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -1020,7 +1020,6 @@ for(;;)
 
 
 
-
 /*************************************************
 *             Swallow SMTP message               *
 *************************************************/
@@ -1037,9 +1036,10 @@ Returns:     nothing
 void
 receive_swallow_smtp(void)
 {
-/*XXX CHUNKING: not enough.  read chunks until RSET? */
 if (message_ended >= END_NOTENDED)
-  message_ended = read_message_data_smtp(NULL);
+  message_ended = chunking_state <= CHUNKING_OFFERED
+     ? read_message_data_smtp(NULL)
+     : read_message_bdat_smtp(NULL);
 }
 
 
